Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 88079 - NFS bug with UID when mounting a share with "noac" from Tru64
Summary: NFS bug with UID when mounting a share with "noac" from Tru64
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel
Version: 7.3
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Steve Dickson
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-04-05 08:14 UTC by Marin Sperl
Modified: 2007-04-18 16:52 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-08-11 11:18:26 UTC


Attachments (Terms of Use)

Description Marin Sperl 2003-04-05 08:14:40 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20020830

Description of problem:
When mounting a NFS share from a tru64 Box (5.1) we get
different behaviour if we mount with the option noac or without.

Version-Release number of selected component (if applicable):
kernel-bigmem-2.4.18-27.7.x

How reproducible:
Always

Steps to Reproduce:
1. mount <IP>:/system /mnt
2. mount -onoac <IP>:/system /mnt1
3. stat /mnt/file /mnt1/file
    

Actual Results:  stat /mnt1/file /mnt/file
 File: "/mnt1/file"
 Size: 7760            Blocks: 16         IO Block: -4611697082263134208 Regular
File
Device: eh/14d  Inode: 1163557     Links: 1
Access: (0664/-rw-rw-r--)  Uid: (   -2/ UNKNOWN)   Gid: (   -2/ UNKNOWN)
Access: Mon Feb 17 21:45:12 2003
Modify: Wed Apr  2 21:38:21 2003
Change: Wed Apr  2 21:38:21 2003

 File: "/mnt/file"
 Size: 7760            Blocks: 16         IO Block: -4611697082263138304 Regular
File
Device: 16h/22d Inode: 1163557     Links: 1
Access: (0664/-rw-rw-r--)  Uid: (65534/nfsnobody)   Gid: (65534/nfsnobody)
Access: Mon Feb 17 21:45:12 2003
Modify: Wed Apr  2 21:38:21 2003
Change: Wed Apr  2 21:38:21 2003


Expected Results:  
See the differences in the UID: once: -2 and the other time 65534. /mnt is
normally mounted, /mnt1/ is mounted with noac.

By comparison this does not happen with UID 65533 or lower!

Comment 1 Marin Sperl 2003-04-05 08:17:31 UTC
Oh - I forgot with ls the files the UID of -2 in fstat maps to 4294967294 and
not  to 65534!

Comment 2 Steve Dickson 2004-08-11 11:18:26 UTC
This is fixed in later kernels


Note You need to log in before you can comment on or make changes to this bug.